org.apache.sysds.runtime.compress.workload

## Class WorkloadAnalyzer

- java.lang.Object
- - org.apache.sysds.runtime.compress.workload.WorkloadAnalyzer

    public class WorkloadAnalyzer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WorkloadAnalyzer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static WTreeNode` `createWorkloadTree(DMLProgram prog, Hop candidate)`
`static Map<Long,WTreeNode>` `getAllCandidateWorkloads(DMLProgram prog)`
`static List<Hop>` `getCandidates(DMLProgram prog)`
`static boolean` `pruneWorkloadTree(WTreeNode node)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkloadAnalyzer

    public WorkloadAnalyzer()

### Method Detail

#### getAllCandidateWorkloads

    public static Map<Long,WTreeNode> getAllCandidateWorkloads(DMLProgram prog)

#### getCandidates

    public static List<Hop> getCandidates(DMLProgram prog)

#### createWorkloadTree

    public static WTreeNode createWorkloadTree(DMLProgram prog,
                                               Hop candidate)

#### pruneWorkloadTree

    public static boolean pruneWorkloadTree(WTreeNode node)